/* Copyright (C) 2025-2025 Warsaw University of Technology, Warsaw
    SPDX-License-Identifier: GPL-3.0-only
    Authors: Daniel Wielanek [committer] */
#include "HalCbmReader.h"

#include "HalCbmEvent.h"
#include "HalCbmFullEvent.h"
#include "HalCbmMCEvent.h"

#include <RtypesCore.h>
#include <TString.h>

#include <Hal/StdString.h>

namespace Hal
{

} /* namespace Hal */

HalCbmReader::HalCbmReader(TString opt)
{
  if (Hal::Std::FindParam(opt, "reco", false) && Hal::Std::FindParam(opt, "mc", false)) {
    SetFormat(new HalCbmFullEvent());
  }
  else if (Hal::Std::FindParam(opt, "mc", false)) {
    SetFormat(new HalCbmMCEvent());
  }
  else {
    SetFormat(new HalCbmEvent());
  }
}

HalCbmReader::~HalCbmReader() {}
