/* Copyright (C) 2025-2025 Warsaw University of Technology, Warsaw
    SPDX-License-Identifier: GPL-3.0-only
    Authors: Daniel Wielanek [committer] */
#ifndef HAL_FAIR_QAMANAGERBASIC_H_
#define HAL_FAIR_QAMANAGERBASIC_H_

#include <TString.h>

#include <Hal/QAManager.h>

/**
 * abstract class for QA in FairRoot-based frameworks
 */
class FairRunAna;
namespace Hal
{
  namespace Fair
  {
    class QAManagerBasic : public ::Hal::QAManager {
     public:
      QAManagerBasic();
      virtual FairRunAna* GetRunAna(TString outFile, TString simFile, TString recoFile = "", TString parFile = "");
      virtual ~QAManagerBasic();
      ClassDef(QAManagerBasic, 1)
    };
  }  // namespace Fair
} /* namespace Hal */

#endif /* HAL_FAIR_QAMANAGERBASIC_H_ */
